<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_c61345c" . "cedc39c1" . "97742776" . "6275e2da" . "6" => base64_decode("aW1hZ2VfZ" . "2FsbGVyeQ" . "=="), "_df945ac2fbd" . "d1576202fb48" . "096eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX" . "2xpc3Q="), "_61a5ceb347019e37116d4d29" . "07163b82" => base64_decode("bWF0Y2hfY" . "Wxs"), "per" . "ms" => base64_decode("cGVy" . "bXM="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_df945ac2fbdd157620" . "2fb48096eb43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_c61345ccedc39c1977" . "427766275e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_61a5ceb347019e37116d4d29" . "07163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}